//==============================================================================
//
// Projet  : FICINI
//           Exemple d'utilisation des fichiers de profil
//
// Version : 1.00 - Juillet 1999
// Auteur  : Denis ZIEGLER  denis.ziegler@worldonline.fr
//
// Fichier : FICINI.CPP
//           Programme principal
//
// Portabilite : C++ ANSI (DOS, Windows, Unix)
//
// (C) Copyright 1999 - ZIEGLER Denis
// Diffusion/modification autorisee selon les termes de la licence d'utilisation
//==============================================================================

#include "FProfil.h"

void Attente(void);


FichProf *fp;  // Variable globale


main()
{
  char NomFich[] = "Exemple.ini";
  char section[80], entree[80], valeur[80];
  char ch1[256], ch2[256];


  cout << "FICINI - Exemple d'utilisation de la classe FichProf\n";
  Attente();

  //----- Construction de l'objet fp -------------------------------------------
  fp = new FichProf(NomFich);  // => lecture automatique du fichier de profil
  if (!fp)
    return 0;
  cout << "1. Lecture automatique du fichier au demarrage :\n";

  //----- Affichage du contenu du fichier --------------------------------------
  fp->Ouvrir(MA_LECTURE);
  while (!fp->Fin()) {
    fp->FichTxt::LireLgn(ch1);
    cout << ch1 << endl;
  }
  fp->Fermer();
  Attente();

  //----- Modification d'une valeur --------------------------------------------
  cout << "2. Modification d'une valeur ([Entree] pour conserver la valeur actuelle) :\n";
  fp->LireCh("application", "utilisateur", "", ch1, 256);
  cout << "Valeur actuelle : " << ch1 << endl;
  cout << "Nouvelle valeur : ";
  cin.getline(ch2, 255);
  if (*ch2)
    fp->EcrireDonnees("application", "utilisateur", ch2);
  Attente();

  //----- Ajout d'une nouvelle valeur ------------------------------------------
  cout << "3. Ajout d'une valeur ([Entree] pour annuler) :\n";
  cout << "Section : ";
  cin.getline(section, 79);
  cout << "Entree : ";
  cin.getline(entree, 79);
  cout << "Valeur : ";
  cin.getline(valeur, 79);
  if (*section && *entree && *valeur)
    fp->EcrireDonnees(section, entree, valeur);
  Attente();

  //----- Ecriture manuelle et affichage du nouveau contenu du fichier ---------
  if (fp->Modif()) {
    cout << "4. Ecriture du fichier avant la sortie de l'application :\n";
    fp->EcrireProfil();
    fp->Ouvrir(MA_LECTURE);
    while (!fp->Fin()) {
      fp->FichTxt::LireLgn(ch1);
      cout << ch1 << endl;
    }
    fp->Fermer();
  } else
      cout << "4. Pas de modifications effectuees, fichier non enregistre\n\n";

  //----- Destruction de l'objet fp et fin -------------------------------------
  cout << "5. Fin de l'application\n";
  Attente();
  delete fp;
  return 1;
}


//===== Fonction d'attente =====
void Attente()
{
  char c;
  cout << "(Appuyez [Entree] pour continuer)\n";
  cin.get(c);
}
